Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(35)

Issue 2088533002: Refactor ozone drm cursor code for mojo (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year ago by rjkroege
Modified:
1 year ago
Reviewers:
dnicoara
CC:
chromium-reviews, kalyank, ozone-reviews_chromium.org, piman+watch_chromium.org, tdresser+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Refactor ozone drm cursor code for mojo Adjust code in ozone drm platform to simplify the introduction of mojo IPC for cursor control. BUG=620927 Committed: https://crrev.com/6b5aaf6974e27f524ed8e6f87cfe511ff32c5c4e Cr-Commit-Position: refs/heads/master@{#401265}

Patch Set 1 #

Total comments: 8

Patch Set 2 : review comments #

Patch Set 3 : build fix #

Patch Set 4 : fix build #

Unified diffs Side-by-side diffs Delta from patch set Stats (+39 lines, -10 lines) Patch
M ui/events/ozone/evdev/cursor_delegate_evdev.h View 1 chunk +9 lines, -4 lines 0 comments Download
M ui/events/ozone/evdev/event_converter_evdev_impl_unittest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M ui/events/ozone/evdev/event_thread_evdev.cc View 2 chunks +3 lines, -0 lines 0 comments Download
M ui/events/ozone/evdev/input_injector_evdev_unittest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M ui/events/ozone/evdev/tablet_event_converter_evdev_unittest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M ui/ozone/platform/drm/gpu/drm_thread.h View 1 chunk +2 lines, -1 line 0 comments Download
M ui/ozone/platform/drm/gpu/drm_thread.cc View 1 chunk +1 line, -1 line 0 comments Download
M ui/ozone/platform/drm/host/drm_cursor.h View 1 2 3 chunks +5 lines, -0 lines 0 comments Download
M ui/ozone/platform/drm/host/drm_cursor.cc View 1 2 3 4 chunks +10 lines, -1 line 0 comments Download
M ui/ozone/platform/drm/host/drm_gpu_platform_support_host.cc View 2 chunks +3 lines, -0 lines 0 comments Download
M ui/ozone/platform/drm/mus_thread_proxy.h View 1 chunk +1 line, -0 lines 0 comments Download
M ui/ozone/platform/drm/mus_thread_proxy.cc View 1 chunk +2 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 22 (9 generated)
rjkroege
ptal
1 year ago (2016-06-20 21:57:41 UTC) #2
dnicoara
https://codereview.chromium.org/2088533002/diff/1/ui/ozone/platform/drm/gpu/drm_thread.cc File ui/ozone/platform/drm/gpu/drm_thread.cc (right): https://codereview.chromium.org/2088533002/diff/1/ui/ozone/platform/drm/gpu/drm_thread.cc#newcode178 ui/ozone/platform/drm/gpu/drm_thread.cc:178: void DrmThread::MoveCursor(const gfx::AcceleratedWidget& widget, Same here. https://codereview.chromium.org/2088533002/diff/1/ui/ozone/platform/drm/gpu/drm_thread.h File ui/ozone/platform/drm/gpu/drm_thread.h ...
1 year ago (2016-06-21 14:14:16 UTC) #3
rjkroege
https://codereview.chromium.org/2088533002/diff/1/ui/ozone/platform/drm/gpu/drm_thread.cc File ui/ozone/platform/drm/gpu/drm_thread.cc (right): https://codereview.chromium.org/2088533002/diff/1/ui/ozone/platform/drm/gpu/drm_thread.cc#newcode178 ui/ozone/platform/drm/gpu/drm_thread.cc:178: void DrmThread::MoveCursor(const gfx::AcceleratedWidget& widget, On 2016/06/21 14:14:16, dnicoara wrote: ...
1 year ago (2016-06-21 17:20:52 UTC) #4
dnicoara
https://codereview.chromium.org/2088533002/diff/1/ui/ozone/platform/drm/gpu/drm_thread.h File ui/ozone/platform/drm/gpu/drm_thread.h (right): https://codereview.chromium.org/2088533002/diff/1/ui/ozone/platform/drm/gpu/drm_thread.h#newcode85 ui/ozone/platform/drm/gpu/drm_thread.h:85: void MoveCursor(const gfx::AcceleratedWidget& widget, On 2016/06/21 17:20:52, rjkroege wrote: ...
1 year ago (2016-06-21 17:38:18 UTC) #5
rjkroege
On 2016/06/21 17:38:18, dnicoara wrote: > https://codereview.chromium.org/2088533002/diff/1/ui/ozone/platform/drm/gpu/drm_thread.h > File ui/ozone/platform/drm/gpu/drm_thread.h (right): > > https://codereview.chromium.org/2088533002/diff/1/ui/ozone/platform/drm/gpu/drm_thread.h#newcode85 > ...
1 year ago (2016-06-21 19:09:01 UTC) #6
dnicoara
lgtm
1 year ago (2016-06-21 19:13:48 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2088533002/20001
1 year ago (2016-06-21 19:16:27 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/189113)
1 year ago (2016-06-21 19:55:46 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2088533002/40001
1 year ago (2016-06-21 21:23:57 UTC) #14
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/189297)
1 year ago (2016-06-21 22:22:39 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2088533002/60001
1 year ago (2016-06-22 12:32:09 UTC) #19
commit-bot: I haz the power
Committed patchset #4 (id:60001)
1 year ago (2016-06-22 13:04:55 UTC) #20
commit-bot: I haz the power
1 year ago (2016-06-22 13:06:15 UTC) #22
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/6b5aaf6974e27f524ed8e6f87cfe511ff32c5c4e
Cr-Commit-Position: refs/heads/master@{#401265}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318